package org.apache.bcel.verifier.structurals;

import org.apache.bcel.generic.InstructionHandle;
import java.util.ArrayList;

public interface InstructionContext
{
    boolean execute(final Frame p0, final ArrayList<InstructionContext> p1, final InstConstraintVisitor p2, final ExecutionVisitor p3);
    
    ExceptionHandler[] getExceptionHandlers();
    
    Frame getInFrame();
    
    InstructionHandle getInstruction();
    
    Frame getOutFrame(final ArrayList<InstructionContext> p0);
    
    InstructionContext[] getSuccessors();
    
    int getTag();
    
    void setTag(final int p0);
}
